package agilpizza.modelo;

public class Bebida {
	private String nome;

	private double preco;

	public Bebida(String nome) {
		this.nome = nome;
	}

	public Bebida(String nome, double valorDePreco) {
		this(nome);
		this.setPreco(valorDePreco);
	}

	/**
	 * @return Returns the nome.
	 */
	public String getNome() {
		return nome;
	}

	public double getPreco() {
		return preco;
	}

	public void setPreco(double preco) {
		this.preco = preco;
	}

	public String getId() {
		return nome.replaceAll(" ", "");
	}

	public boolean equals(Object objeto) {
		Bebida outra = (Bebida) objeto;
		return outra.getNome().equals(getNome())
				&& outra.getPreco() == getPreco();
	}
	
	public int hashCode() {
		return getNome().hashCode();
	}
}
